%define  RELEASE 1
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define  prefix  /usr
%define  sysconfdir	/etc

Summary: the GNOME spreadsheet
Name: 		gnumeric
Version: 	0.64
Release: 	%rel
Copyright: 	GPL
Group: 		Applications/Productivity
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric/gnumeric-%{version}.tar.gz
Url:		http://www.gnome.org/gnumeric
BuildRoot:	/var/tmp/%{name}-%{PACKAGE_VERSION}-root
Docdir: 	%{prefix}/doc

Requires: gtk+ >= 1.2.7
Requires: gnome-libs >= 1.0.57
Requires: gnome-print >= 0.25
Requires: libglade >= 0.16
Requires: libxml >= 1.8.10
Requires: libole2 >= 0.1.7
Requires: gal >= 0.5

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System.  GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on free software.

This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with 
Excel, you should be ready to use Gnumeric.  We have tried to clone all of 
the good features and stay as compatible as possible with Excel in terms of 
usability. Hopefully we left the bugs behind :).

%package devel
Summary: Files necessary to develop gnumeric-based applications.
Group: Development/Libraries

%description devel
The gnumeric-devel package includes files necessary to develop gnumeric-based
applications.

Install gnumeric-devel if you want to develop programs which will use gnumeric.

%prep
%setup -q

%build
%ifarch alpha
	MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif

if [ ! -f configure ]; then
	CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $MYARCH_FLAGS --prefix=%prefix \
		--sysconfdir=%{sysconfdir} \
		--without-bonobo --without-gb
else
	CFLAGS="$RPM_OPT_FLAGS" ./configure $MYARCH_FLAGS --prefix=%prefix \
		--sysconfdir=%{sysconfdir} \
		--without-bonobo --without-gb
fi

if [ "$SMP" != "" ]; then
	make -k -j$SMP "MAKE=make -k -j$SMP"
else
	make -k
fi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} install
#
# Auto detect the lang files.
#
if [ -f /usr/lib/rpm/find-lang.sh ] ; then
 /usr/lib/rpm/find-lang.sh $RPM_BUILD_ROOT %name
 sed "s:(644, root, root, 755):(444, bin, bin, 555):" %{name}.lang \
 >tmp.lang && mv tmp.lang %{name}.lang
fi


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang

%defattr (0555, bin, bin)
%{prefix}/bin/gnumeric
%{prefix}/lib/gnumeric/%{version}/plugins/*/*.so

%defattr (0444, bin, bin, 0555)
%doc HACKING AUTHORS ChangeLog NEWS BUGS README COPYING TODO
%config %{sysconfdir}/CORBA/servers/gnumeric.gnorba
%{prefix}/lib/gnumeric/%{version}/plugins/*/*.xml
%config %{prefix}/share/gnome/apps/Applications/gnumeric.desktop
%{prefix}/share/gnome/help/gnumeric/C/images/*
%{prefix}/share/gnome/help/gnumeric/C/*.*
%{prefix}/share/gnome/ui/gnumeric.xml
%{prefix}/share/gnumeric/%{version}/autoformat-templates/*/*.xml
%{prefix}/share/gnumeric/%{version}/glade/*.glade
%{prefix}/share/gnumeric/%{version}/python/*
%{prefix}/share/gnumeric/%{version}/templates/*.gnumeric
#%{prefix}/share/locale/*/LC_MESSAGES/*.mo
%{prefix}/share/mc/templates/gnumeric.desktop
%{prefix}/share/mime-info/gnumeric.keys
%{prefix}/share/mime-info/gnumeric.mime
%{prefix}/share/oaf/GNOME_Gnumeric.oafinfo
%{prefix}/share/pixmaps/gnumeric/*
%{prefix}/share/pixmaps/*.png

%files devel
%defattr (-, bin, bin)

%{prefix}/lib/gnumericConf.sh
%{prefix}/share/gnumeric/%{version}/idl/*.idl
%{prefix}/lib/gnumeric/%{version}/plugins/*/*.la

%changelog
* Tue Feb 20 2001 John Gotts <jgotts@linuxsavvy.com>
- Adapted to the recent directory reorganization.  Also alphabetically
  reordered the directories while I was at it.  Someone should figure out why
  we can't package the locale data.

* Tue Feb 13 2001 Jody Goldberg <jgoldberg@home.com>
- Updated version requirements for libglade

* Sat Feb 10 2001 Jody Goldberg <jgoldberg@home.com>
- Updated version requirements for GAL

* Wed Dec 06 2000 Jody Goldberg <jgoldberg@home.com>
- Updated version requirements for GAL

* Tue Nov 14 2000 John Gotts <jgotts@linuxsavvy.com>
- Require GAL 0.2.2 instead of 0.2.2.0.
- Use %{version} instead of at characters surrouding VERSION (it makes a nicer
  generated spec file).
- Created devel package.
- Fixed category to match Red Hat.
- Added the standard mechanism to build from either the tarball or CVS (and
  reindented things following the current practice).

* Thu Nov 09 2000 Jody Goldberg <jgoldberg@home.com>
- Updated version requirements for GAL

* Fri Nov 03 2000 Jody Goldberg <jgoldberg@home.com>
- Updated version requirements for GAL

* Wed Oct 18 2000 John Gotts <jgotts@linuxsavvy.com>
- Added gnumeric.xml, gnome-application-x-gnumeric.png,
  gnome-application-x-xls.png, gnumeric.oafinfo, and gnumericConf.sh. 
- Fixed incorrect idl path.
- Removed an excess blank line.  ;-)

* Sun Oct 01 2000 Almer S. Tigelaar <almer1@dds.nl>
- Make some minor adjustments for the autoformatter

* Thu Sep 28 2000 Jody Goldberg <jgoldberg@home.com>
- Updated version requirements for gnome-print

* Wed Sep 20 2000 Jody Goldberg <jgoldberg@home.com>
- Updated version requirements for glade
- Looks like someone already added gal.

* Wed Sep 20 2000 Kenneth Christiansen <kenneth@gnu.org>
- Made it work with the new autoformatter
- Upped gnome-print to 0.22

* Sat Aug 11 2000 Jody Goldberg <jgoldberg@home.com>
- Updated version requirements for gnome-print

* Sat Jun 21 2000 Jody Goldberg <jgoldberg@home.com>
- Add libole2

* Sat May 20 2000 Jody Goldberg <jgoldberg@home.com>
- Updated version requirements for gnome-print, and libglade.

* Mon May 15 2000 Karl Eichwalder <ke@suse.de>
- Use %{version}, %{name} and %{sysconfdir} more consistently.
- Avoid long lines.

* Thu Mar 29 2000 Kjartan Maraas <kmaraas@online.no>
- Removed gnome-gnumeric-xl.png since it is nowhere to be found.
- Added --without-bonobo and --without-gb.
- Added %define for sysconfdir

* Mon Feb 29 2000 Jody Goldberg <jgoldberg@home.com>
- Updated version requirements for gnome-print, and gnome-libs.

* Sun Jan 30 2000 Gregory McLean <gregm@comstar.net>
- Added in some auto-detect the language files logic (rpm 3.0.xx only)

* Mon Jan 12 2000 Jody Goldberg <jgoldberg@home.com>
- Add depend on gtk+ >= 1.2.2 so that we can get gtk_object_get.

* Mon Jan 03 2000 Gregory McLean <gregm@comstar.net>
- Updated to 0.47

* Mon Dec 20 1999 Jody Goldberg <jgoldberg@home.com>
- Updated the libglade dependancy.
- Remove req for guile.  We can build without it.

* Thu Sep 02 1999 Gregory McLean <gregm@comstar.net>
- Added small fix so glade generated dialogs appear.

* Wed Jul 14 1999 Gregory McLean <gregm@comstar.net>
- Added the gnome-print requirement.
- Updated the file list to try and quiet down the updating.
- added the sysconfdir

* Tue Mar 9  1999 Gregory McLean <gregm@comstar.net>
- Updated the spec file.

* Thu Sep 24 1998 Michael Fulbright <msf@redhat.com>
- Version 0.2
